Subject: RE: git client enhancement request

From: <[email-masked]>
Date: Mon, 13 May 2024 15:09:07 -0400

On Monday, May 13, 2024 1:56 PM, Sean Allred wrote:
><[email-masked]> writes:
>> I would like to see the option to allow the git client to request the
>> creation of a new empty git repository on the git server without
>> having to open the web interface to the git server to define a new
>> repository.
>>
>> Perhaps something like:  git server-repo public/private name
>
>Is this even technically feasible? My understanding is that storage implementations
>of each forge vary *wildly*. I don't believe this would be under Git's ability to
>implement as a project.
>
>You might look into combining your preferred forge's CLI with git
>aliases:
>
>  - GitHub has 'gh': https://cli.github.com
>  - GitLab has 'glab' https://docs.gitlab.com/ee/editor_extensions/gitlab_cli
>
>so you could alias
>
>    git config alias.server-repo '!gh repo create'
>
>to get something of what you want.
>
>I believe GitLab also has a feature where you can create repositories just by pushing
>an existing repository to an empty project path.

Please have a look at the github/bitbucket/gitlab/azuregit REST API for doing what you are trying to do. There is no specific "git client" function as git is symmetrical.
--Randall